### Method

# GUPnPAV DIDLLiteWriter add_item

#### Declaration [src]

    GUPnPDIDLLiteItem*
    gupnp_didl_lite_writer_add_item (
      GUPnPDIDLLiteWriter* writer
    )

#### Description [src]

Creates a new item, attaches it to `writer` and returns it.

#### Return value

Type: `GUPnPDIDLLiteItem`

A new `GUPnPDIDLLiteItem` object. Unref after usage.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.